Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## datechooser.view
Class BackRenderer

    java.lang.Object
      datechooser.view.BackRenderer

All Implemented Interfaces:
  java.io.Serializable

    public class BackRenderer

extends java.lang.Object
implements java.io.Serializable

Stores and shows background image.
Хранит и отображает фоновый рисунок в соответсвии со стилем отображения.

Since:
  1.0
Author:
  Androsov Vadim
See Also:
  Serialized Form

Field Summary
`static int` | `ALIGN_CENTER`
`static int` | `ALIGN_FILL`
`static int` | `ALIGN_TILE`

Constructor Summary
`BackRenderer(int style, java.lang.String imageURLPath)`
`BackRenderer(int style, java.net.URL imageURL)`
`BackRenderer(int style, java.net.URL imageURL, java.awt.Image image)`

Method Summary
`java.awt.Image` | `getImage()`
`int` | `getStyle()`
`java.net.URL` | `getUrl()`
`void` | `render(java.awt.Graphics2D g, java.awt.Rectangle bounds)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ALIGN_CENTER

    public static final int ALIGN_CENTER

See Also:
  Constant Field Values

### ALIGN_FILL

    public static final int ALIGN_FILL

See Also:
  Constant Field Values

### ALIGN_TILE

    public static final int ALIGN_TILE

See Also:
  Constant Field Values

Constructor Detail

### BackRenderer

    public BackRenderer(int style,
                        java.lang.String imageURLPath)

### BackRenderer

    public BackRenderer(int style,
                        java.net.URL imageURL)

### BackRenderer

    public BackRenderer(int style,
                        java.net.URL imageURL,
                        java.awt.Image image)

Method Detail

### render

    public void render(java.awt.Graphics2D g,
                       java.awt.Rectangle bounds)

### getStyle

    public int getStyle()

### getImage

    public java.awt.Image getImage()

### getUrl

    public java.net.URL getUrl()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD